Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.multimedia
Class MediaOffset.Frame

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.multimedia.MediaOffset<Integer>
              org.pdfclown.documents.multimedia.MediaOffset.Frame

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

Enclosing class:
  MediaOffset<T>

    public static final class MediaOffset.Frame

extends MediaOffset<Integer>

Media offset frame [PDF:1.7:9.1.5].

Since:
  0.1.2
Version:
  0.1.2, 09/24/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary

Nested classes/interfaces inherited from class org.pdfclown.documents.multimedia.MediaOffset
`MediaOffset.Frame, MediaOffset.Marker, MediaOffset.Time`

Constructor Summary
`MediaOffset.Frame(Document context, int value)`

Method Summary
`MediaOffset.Frame` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`Integer` | `getValue()` Gets the (zero-based) frame within a media object.
`void` | `setValue(Integer value)`

Methods inherited from class org.pdfclown.documents.multimedia.MediaOffset
`wrap`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MediaOffset.Frame

    public MediaOffset.Frame(Document context,
                             int value)

Method Detail

### clone

    public MediaOffset.Frame clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfDictionary>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getValue

    public Integer getValue()

  Gets the (zero-based) frame within a media object.

  Specified by:
    `getValue` in class `MediaOffset<Integer>`

### setValue

    public void setValue(Integer value)

  Specified by:
    `setValue` in class `MediaOffset<Integer>`
  See Also:
    `MediaOffset.getValue()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.